/*
 * amati-hdmi-enable-hog.dtsi - Puts an output-high GPIO hog on the HDMI
 * enable pin.
 *
 * Copyright (c) 2018 Sensics, Inc. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 */

#include <dt-bindings/gpio/gpio.h>

/ {
	i2c@3160000 {
		gpio@74 {
			hdmi-enable {
				gpio-hog;
				gpios = <0 GPIO_ACTIVE_HIGH 4 GPIO_ACTIVE_HIGH>;
				output-high;

				label = "hdmi-enable", "hdmi-5V-enable";
			};
		};
	};
};
